Up

# NSDataLinkManager

### Authors

Scott Christley (`scottc@net-community.com`)

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSDataLinkManager class

## NSDataLinkManager : NSObject

> Declared in:
>   AppKit/NSDataLinkManager.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addLink:at:
- -addLinkAsMarker:at:
- -addLinkPreviouslyAt:fromPasteboard:at:
- -areLinkOutlinesVisible
- -breakAllLinks
- -copyToPasteboard:at:cheapCopyAllowed:
- -dataLinkManager:didBreakLink:
- -dataLinkManager:isUpdateNeededForLink:
- -dataLinkManager:startTrackingLink:
- -dataLinkManager:stopTrackingLink:
- -dataLinkManagerCloseDocument:
- -dataLinkManagerDidEditLinks:
- -dataLinkManagerRedrawLinkOutlines:
- -dataLinkManagerTracksLinksIndividually:
- -delegate
- -delegateVerifiesLinks
- -destinationLinkEnumerator
- -destinationLinkWithSelection:
- -encodeWithCoder:
- -filename
- -importFile:at:
- -initWithCoder:
- -initWithDelegate:
- -initWithDelegate:fromFile:
- -interactsWithUser
- -isEdited
- -noteDocumentClosed
- -noteDocumentEdited
- -noteDocumentReverted
- -noteDocumentSaved
- -noteDocumentSavedAs:
- -noteDocumentSavedTo:
- -pasteFromPasteboard:at:
- -setDelegateVerifiesLinks:
- -setInteractsWithUser:
- -setLinkOutlinesVisible:
- -showSelection:
- -sourceLinkEnumerator
- -windowForSelection:
- -writeLinksToPasteboard:

### addLink:at:

- (BOOL) addLink: (NSDataLink*)link at: (NSSelection*)selection;

Description forthcoming.

### addLinkAsMarker:at:

- (BOOL) addLinkAsMarker: (NSDataLink*)link at: (NSSelection*)selection;

Description forthcoming.

### addLinkPreviouslyAt:fromPasteboard:at:

- (NSDataLink*) addLinkPreviouslyAt: (NSSelection*)oldSelection fromPasteboard: (NSPasteboard*)pasteboard at: (NSSelection*)selection;

Description forthcoming.

### areLinkOutlinesVisible

- (BOOL) areLinkOutlinesVisible;

Description forthcoming.

### breakAllLinks

- (void) breakAllLinks;

Description forthcoming.

### copyToPasteboard:at:cheapCopyAllowed:

- (BOOL) copyToPasteboard: (NSPasteboard*)pasteboard at: (NSSelection*)selection cheapCopyAllowed: (BOOL)flag;

Description forthcoming.

### dataLinkManager:didBreakLink:

- (void) dataLinkManager: (NSDataLinkManager*)sender didBreakLink: (NSDataLink*)link;

Description forthcoming.

### dataLinkManager:isUpdateNeededForLink:

- (BOOL) dataLinkManager: (NSDataLinkManager*)sender isUpdateNeededForLink: (NSDataLink*)link;

Description forthcoming.

### dataLinkManager:startTrackingLink:

- (void) dataLinkManager: (NSDataLinkManager*)sender startTrackingLink: (NSDataLink*)link;

Description forthcoming.

### dataLinkManager:stopTrackingLink:

- (void) dataLinkManager: (NSDataLinkManager*)sender stopTrackingLink: (NSDataLink*)link;

Description forthcoming.

### dataLinkManagerCloseDocument:

- (void) dataLinkManagerCloseDocument: (NSDataLinkManager*)sender;

Description forthcoming.

### dataLinkManagerDidEditLinks:

- (void) dataLinkManagerDidEditLinks: (NSDataLinkManager*)sender;

Description forthcoming.

### dataLinkManagerRedrawLinkOutlines:

- (void) dataLinkManagerRedrawLinkOutlines: (NSDataLinkManager*)sender;

Description forthcoming.

### dataLinkManagerTracksLinksIndividually:

- (BOOL) dataLinkManagerTracksLinksIndividually: (NSDataLinkManager*)sender;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### delegateVerifiesLinks

- (BOOL) delegateVerifiesLinks;

Description forthcoming.

### destinationLinkEnumerator

- (NSEnumerator*) destinationLinkEnumerator;

Description forthcoming.

### destinationLinkWithSelection:

- (NSDataLink*) destinationLinkWithSelection: (NSSelection*)destSel;

Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;

Description forthcoming.

### filename

- (NSString*) filename;

Description forthcoming.

### importFile:at:

- (BOOL) importFile: (NSString*)filename at: (NSSelection*)selection;

Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;

Description forthcoming.

### initWithDelegate:

- (id) initWithDelegate: (id)anObject;

Description forthcoming.

### initWithDelegate:fromFile:

- (id) initWithDelegate: (id)anObject fromFile: (NSString*)path;

Description forthcoming.

### interactsWithUser

- (BOOL) interactsWithUser;

Description forthcoming.

### isEdited

- (BOOL) isEdited;

Description forthcoming.

### noteDocumentClosed

- (void) noteDocumentClosed;

Description forthcoming.

### noteDocumentEdited

- (void) noteDocumentEdited;

Description forthcoming.

### noteDocumentReverted

- (void) noteDocumentReverted;

Description forthcoming.

### noteDocumentSaved

- (void) noteDocumentSaved;

Description forthcoming.

### noteDocumentSavedAs:

- (void) noteDocumentSavedAs: (NSString*)path;

Description forthcoming.

### noteDocumentSavedTo:

- (void) noteDocumentSavedTo: (NSString*)path;

Description forthcoming.

### pasteFromPasteboard:at:

- (BOOL) pasteFromPasteboard: (NSPasteboard*)pasteboard at: (NSSelection*)selection;

Description forthcoming.

### setDelegateVerifiesLinks:

- (void) setDelegateVerifiesLinks: (BOOL)flag;

Description forthcoming.

### setInteractsWithUser:

- (void) setInteractsWithUser: (BOOL)flag;

Description forthcoming.

### setLinkOutlinesVisible:

- (void) setLinkOutlinesVisible: (BOOL)flag;

Description forthcoming.

### showSelection:

- (BOOL) showSelection: (NSSelection*)selection;

Description forthcoming.

### sourceLinkEnumerator

- (NSEnumerator*) sourceLinkEnumerator;

Description forthcoming.

### windowForSelection:

- (NSWindow*) windowForSelection: (NSSelection*)selection;

Description forthcoming.

### writeLinksToPasteboard:

- (void) writeLinksToPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

Up